# PyPI 发布指南

## 准备工作

1. 安装必要工具：
```bash
pip install build twine
```

2. 确保 git 子模块已正确配置：
```bash
git submodule add https://github.com/huazz233/googlesearch googlesearch
```

## 自动化构建和发布

### 方式一：使用脚本（推荐）

1. 仅构建：
```bash
python scripts/build.py
```

2. 构建并发布：
```bash
python scripts/publish.py
```

### 方式二：手动步骤

1. 更新版本号：
   - 修改 `config/pyproject.toml` 中的版本号

2. 构建：
```bash
python -m build
```

3. 发布：
```bash
python -m twine upload dist/* --verbose
```

## 验证

1. 检查包是否成功上传：https://pypi.org/project/googlesearch-tool/
2. 测试安装：
```bash
pip install googlesearch-tool==版本号
```
